Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.FillerAssistCallback Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | AppendPopupMenuItem (h_popup_menu, popup_menu_item, default_string)
| A callback function which is triggered when need to append popup menu item to popup menu. More...
def | CreatePopupMenu ()
| A callback function which is triggered when need to create a popup menu. More...
def | DestroyPopupMenu (h_popup_menu)
| A callback function which is triggered when need to destroy popup menu. More...
def | EnablePopupMenuItem (h_popup_menu, popup_menu_item, is_enabled)
| A callback function which is triggered when need to enable specified popup menu item in popup menu. More...
def | FocusGotOnControl (control, value)
| A callback function which is triggered when the focus is set to a form control. More...
def | FocusLostFromControl (control, value)
| A callback function which is triggered when the focus is lost from a form control. More...
def | GetClipboardText ()
| A callback function which is triggered when need to get the text on clipboard. More...
def | GetVersion ()
| Get the version of derived implementation, for compatibility reason. More...
def | KillTimer (timer_id)
| A callback function used to kill the timer event by timer identifier. More...
def | Refresh (page, rect)
| A callback function used to refresh the specified area on a specified page. More...
def | Release ()
| A callback function used to release current callback object itself. More...
def | ReportInvalidValue (form_field_name, invalid_value)
| A callback function which is triggered when user entered an invalid value. More...
def | SetClipboardText (text)
| A callback function which is triggered when need to set clipboard text. More...
def | SetTimerCallback (elapse, timer, out_timer_id)
| A callback function used to set a system timer. More...
def | ShowPopupMenu (h_popup_menu, point)
| A callback function which is triggered when need to show popup menu. More...

## Static Public Attributes
| e_PopupMenuItemCopy = _fsdk.FillerAssistCallback_e_PopupMenuItemCopy
| Popup menu item: "Copy".
| e_PopupMenuItemCut = _fsdk.FillerAssistCallback_e_PopupMenuItemCut
| Popup menu item: "Cut".
| e_PopupMenuItemDelete = _fsdk.FillerAssistCallback_e_PopupMenuItemDelete
| Popup menu item: "Delete".
| e_PopupMenuItemNone = _fsdk.FillerAssistCallback_e_PopupMenuItemNone
| No popup menu item.
| e_PopupMenuItemPaste = _fsdk.FillerAssistCallback_e_PopupMenuItemPaste
| Popup menu item: "Paste".
| e_PopupMenuItemSelectAll = _fsdk.FillerAssistCallback_e_PopupMenuItemSelectAll
| Popup menu item: "Select All".

## Detailed Description

This class represents a callback object to assist form filler. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ AppendPopupMenuItem()

def FoxitPDFSDKPython3.FillerAssistCallback.AppendPopupMenuItem | ( |  | h_popup_menu,
|  |  | popup_menu_item,
|  |  | default_string
| ) |  |

A callback function which is triggered when need to append popup menu item to popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | popup_menu_item | A value to specify the exact popup menu item. Please refer to values starting from FoxitPDFSDKPython3.FillerAssistCallback.e_PopupMenuItemNone and this would be one of these values.
  [in] | default_string | Default string for the specified popup menu item.

Returns
  true means success, while false means failure.

## ◆ CreatePopupMenu()

def FoxitPDFSDKPython3.FillerAssistCallback.CreatePopupMenu | ( |  | ) |

A callback function which is triggered when need to create a popup menu.

This callback function supports text field, combo box field.

Returns
  Popup menu handle.

## ◆ DestroyPopupMenu()

def FoxitPDFSDKPython3.FillerAssistCallback.DestroyPopupMenu | ( |  | h_popup_menu | ) |

A callback function which is triggered when need to destroy popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.

Returns
  None.

## ◆ EnablePopupMenuItem()

def FoxitPDFSDKPython3.FillerAssistCallback.EnablePopupMenuItem | ( |  | h_popup_menu,
|  |  | popup_menu_item,
|  |  | is_enabled
| ) |  |

A callback function which is triggered when need to enable specified popup menu item in popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | popup_menu_item | A value to specify the exact popup menu item. Please refer to values starting from FoxitPDFSDKPython3.FillerAssistCallback.e_PopupMenuItemNone and this would be one of these values.
  [in] | is_enabled | A boolean value to decide whether to enable the specified popup menu item or disable it.

Returns
  true means success, while false means failure.

## ◆ FocusGotOnControl()

def FoxitPDFSDKPython3.FillerAssistCallback.FocusGotOnControl | ( |  | control,
|  |  | value
| ) |  |

A callback function which is triggered when the focus is set to a form control.

This callback function supports text field, combo box field, list box field, push button field, check box field, radio button field.

Parameters

  [in] | control | The form control object to which the focus is set.
  [in] | value | The value of form field associated with the control. If the control belongs to a push button field, this value would always be an empty string.

Returns
  None.

## ◆ FocusLostFromControl()

def FoxitPDFSDKPython3.FillerAssistCallback.FocusLostFromControl | ( |  | control,
|  |  | value
| ) |  |

A callback function which is triggered when the focus is lost from a form control.

This callback function supports text field, combo box field, list box field, push button field, check box field, radio button field.

Parameters

  [in] | control | The form control object, from which the focus is lost.
  [in] | value | The value of form field associated with the control. If the control belongs to a push button field, this value would always be an empty string.

Returns
  None.

## ◆ GetClipboardText()

def FoxitPDFSDKPython3.FillerAssistCallback.GetClipboardText | ( |  | ) |

A callback function which is triggered when need to get the text on clipboard.

This callback function supports text field, combo box field.

Returns
  The text on clipboard.

## ◆ GetVersion()

def FoxitPDFSDKPython3.FillerAssistCallback.GetVersion | ( |  | ) |

Get the version of derived implementation, for compatibility reason.

Returns
  Version of derived implementation.

## ◆ KillTimer()

def FoxitPDFSDKPython3.FillerAssistCallback.KillTimer | ( |  | timer_id | ) |

A callback function used to kill the timer event by timer identifier.

Parameters

  [in] | timer_id | The timer identifier returned by an earlier calling of callback function FoxitPDFSDKPython3.FillerAssistCallback.SetTimerCallback .

Returns
  true means success, while false means failure.

## ◆ Refresh()

def FoxitPDFSDKPython3.FillerAssistCallback.Refresh | ( |  | page,
|  |  | rect
| ) |  |

A callback function used to refresh the specified area on a specified page.

Parameters

  [in] | page | A PDF page object.
  [in] | rect | A rectangle that specifies the area on the page to be redrawn. null means to refresh the whole page.

Returns
  None.

## ◆ Release()

def FoxitPDFSDKPython3.FillerAssistCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ ReportInvalidValue()

def FoxitPDFSDKPython3.FillerAssistCallback.ReportInvalidValue | ( |  | form_field_name,
|  |  | invalid_value
| ) |  |

A callback function which is triggered when user entered an invalid value.

This callback function supports text field, combo box field.

Parameters

  [in] | form_field_name | The name of form field associated with the control.
  [in] | invalid_value | The invalid value of form field associated with the control.

Returns
  None.

## ◆ SetClipboardText()

def FoxitPDFSDKPython3.FillerAssistCallback.SetClipboardText | ( |  | text | ) |

A callback function which is triggered when need to set clipboard text.

This callback function supports text field, combo box field.

Parameters

  [in] | text | The text need to be set to clipboard.

Returns
  None.

## ◆ SetTimerCallback()

def FoxitPDFSDKPython3.FillerAssistCallback.SetTimerCallback | ( |  | elapse,
|  |  | timer,
|  |  | out_timer_id
| ) |  |

A callback function used to set a system timer.

This callback function is called to install a system timer. When a time-out value is specified, and every time when a time-out occurs, the system passes a message to the timer callback function.

Parameters

  [in] | elapse | Specifies the time-out value, in milliseconds.
  [in] | timer | A TimerCallback object as timer.
  [out] | out_timer_id | Output parameter that receives the timer identifier of the new timer if the function is finished successfully. This value would be passed to callback function FoxitPDFSDKPython3.FillerAssistCallback.KillTimer to kill the timer. Nonzero if the function is successful; otherwise, this should be zero.

Returns
  true means success, while false means failure.

## ◆ ShowPopupMenu()

def FoxitPDFSDKPython3.FillerAssistCallback.ShowPopupMenu | ( |  | h_popup_menu,
|  |  | point
| ) |  |

A callback function which is triggered when need to show popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | point | Left-top point used to locate where to show the popup menu, in [PDF coordinate system] ().

Returns
  true means success, while false means failure.